Loading...
Searching...
No Matches
QR panel to q, q to panel
Internal routines

## Functions

void | magma_cpanel_to_q (magma_uplo_t uplo, magma_int_t ib, magmaFloatComplex *A, magma_int_t lda, magmaFloatComplex *work)
| Put 0s in the upper triangular part of a panel and 1s on the diagonal.
void | magma_cq_to_panel (magma_uplo_t uplo, magma_int_t ib, magmaFloatComplex *A, magma_int_t lda, magmaFloatComplex *work)
| Restores a panel, after call to magma_cpanel_to_q().
void | magma_dpanel_to_q (magma_uplo_t uplo, magma_int_t ib, double *A, magma_int_t lda, double *work)
| Put 0s in the upper triangular part of a panel and 1s on the diagonal.
void | magma_dq_to_panel (magma_uplo_t uplo, magma_int_t ib, double *A, magma_int_t lda, double *work)
| Restores a panel, after call to magma_dpanel_to_q().
void | magma_spanel_to_q (magma_uplo_t uplo, magma_int_t ib, float *A, magma_int_t lda, float *work)
| Put 0s in the upper triangular part of a panel and 1s on the diagonal.
void | magma_sq_to_panel (magma_uplo_t uplo, magma_int_t ib, float *A, magma_int_t lda, float *work)
| Restores a panel, after call to magma_spanel_to_q().
void | magma_zpanel_to_q (magma_uplo_t uplo, magma_int_t ib, magmaDoubleComplex *A, magma_int_t lda, magmaDoubleComplex *work)
| Put 0s in the upper triangular part of a panel and 1s on the diagonal.
void | magma_zq_to_panel (magma_uplo_t uplo, magma_int_t ib, magmaDoubleComplex *A, magma_int_t lda, magmaDoubleComplex *work)
| Restores a panel, after call to magma_zpanel_to_q().

## Detailed Description

## Function Documentation

## magma_cpanel_to_q()

void magma_cpanel_to_q | ( | magma_uplo_t | uplo,
|  | magma_int_t | ib,
|  | magmaFloatComplex * | A,
|  | magma_int_t | lda,
|  | magmaFloatComplex * | work )

Put 0s in the upper triangular part of a panel and 1s on the diagonal.

Stores previous values in work array, to be restored later with magma_cq_to_panel().

## magma_dpanel_to_q()

void magma_dpanel_to_q | ( | magma_uplo_t | uplo,
|  | magma_int_t | ib,
|  | double * | A,
|  | magma_int_t | lda,
|  | double * | work )

Put 0s in the upper triangular part of a panel and 1s on the diagonal.

Stores previous values in work array, to be restored later with magma_dq_to_panel().

## magma_spanel_to_q()

void magma_spanel_to_q | ( | magma_uplo_t | uplo,
|  | magma_int_t | ib,
|  | float * | A,
|  | magma_int_t | lda,
|  | float * | work )

Put 0s in the upper triangular part of a panel and 1s on the diagonal.

Stores previous values in work array, to be restored later with magma_sq_to_panel().

## magma_zpanel_to_q()

void magma_zpanel_to_q | ( | magma_uplo_t | uplo,
|  | magma_int_t | ib,
|  | magmaDoubleComplex * | A,
|  | magma_int_t | lda,
|  | magmaDoubleComplex * | work )

Put 0s in the upper triangular part of a panel and 1s on the diagonal.

Stores previous values in work array, to be restored later with magma_zq_to_panel().